﻿# Save Modded Profile On Close
| [![github issues/request link](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/github_link.webp)](https://github.com/DestroyedClone/PoseHelper/issues) | [![discord invite](https://raw.githubusercontent.com/DestroyedClone/PoseHelper/master/PoseHelper/discord_link.webp)](https://discord.gg/DpHu3qXMHK) |
|--|--|

This mod fixes the game not remembering your modded character's preferred skill selections by giving them a `skillFamily` and a `name`. Survivors created in ThunderKit generally do not have this issue, so this is mainly for survivors that were built using the Visual Studio template.

Because the name will change, the game will not recognize that it has already viewed them, causing them to become unviewed. Consider using my other mod, [ViewAllViewables](https://thunderstore.io/package/DestroyedClone/ViewAllViewables/), which adds a console command to clear all the highlighted objects.


This mod is incompatible with:
* ExtendedLoadout

This mod has been tested working with:
* Enforcer + Nemforcer
	* The fix was implemented directly to the authors.
* Miner
* Twitch
* Gunslinger
* Paladin
* Templar
* Tracer
* Henry

## Credits
Timesweeper - Additional Testing

### Technical
**Ignore this if you don't want a deeper explanation on why modded survivor skills aren't saved on close.** Most modded survivors made through the Visual Studio template have unnamed skills added to unnamed SkillFamilies. It works fine ingame, however the file that has to remember your skill preferences is your UserProfile. The UserProfile will remember the skill's `.name` (not skillName or skillNameToken), except it's blank. So it remembers that you chose the skill named: "", tries to select it, but fails and defaults to the default skill. If you would like to see this visually, check this [pull request](https://github.com/GnomeModder/EnforcerMod/pull/17#issue-1063980699).

> Written with [StackEdit](https://stackedit.io/).